#  RealEstateBroker http://sf.net/projects/collective/
#  Archetypes Content Type for publishing houses
#  Copyright (c) 2003-2004 Zopeworks
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#  Authors: A.Hadi - zopeworks <ahadi@zopeworks.nl>
#           J.P.Ladage - zopeworks <jladage@zopeworks.nl>
#
from Products.CMFCore.CMFCorePermissions import AddPortalContent
from Products.Archetypes.public import DisplayList

ADD_CONTENT_PERMISSION = AddPortalContent
PROJECTNAME = "RealEstateBroker"
SKINS_DIR = 'skins'
AVAILABLE_STATES = ('new', 'available', 'negotiating', 'sold')

GLOBALS = globals()

forms = {
    'default': {'prefs_broker_form': {'success':'script:prefs_broker_set', 'failure':'prefs_broker_form',},
                'prefs_broker_set': {'success':'prefs_broker_form',},
                },
        }

validators = {
    'prefs_broker_form': ['validate_prefs_broker_form'],
    }
